%BACKUS' STIFFNESS MODEL

%INPUT FROM EXCEL
f	=0.121201965
g	=1.944115594
x	=1.422227733
lambda1	=21.09852843
G1	=12.97079669
m1=4.608631719
RSS1=4.608631719

syms theta
%MODEL
[Eeff]=@(theta) Backus_stiffness_criterion(G1,lambda1,theta,x,f,g )
%PLOT
FigHandle =figure('Position', [120, 100, 650, 371]);
hold all

title(Rock)
xlabel('\theta [\circ]');
ylabel('Young`s modulus [GPa]');
set(gca,'xTick',0:1/12*pi:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
fplot(Eeff,[0 0.5*pi],'k')
theta=theta2./180.*pi;
plot(theta,Ei,'xk')
annotation('textbox', [0.7 0.28 0.3 0.15], 'String',{['Backus'];['G_1 = ' num2str(G1) ' GPa'] ;['\lambda_1 = ' num2str(lambda1)] ;  ['x = ' num2str(x)] ; ['f = ' num2str(f)];['g = ' num2str(g)];['RSS = ' num2str(RSS1) ' MPa^2'];['M = ' num2str(m1) ' MPa^2']},'EdgeColor','none')


%PATCHY WEAKNESS STIFFNESS

%INPUT
E0=Ei(size(Ei,1))
theta=theta2/180*pi

%PARAMETER INPUT FROM EXCEL
eta=0.25844
rho=0.240541456368947
m2=4.111264052
RSS2=12.33379216

syms theta
%STIFFNESS CRITERION
[y3]=@(theta) Patchy_stiffness( eta, theta, rho, E0 );



%FIGURE
xlabel('\theta [\circ]')
ylabel('Young`s modulus [GPa]')
set(gca,'xTick',0:1/12*pi:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
fplot(y3, [0 pi/2],'--k')
theta=theta2/180*pi
plot(theta,Ei,'xk')


annotation('textbox',[0.7 0.6 0.3 0.15],'String',{['Fjr & Nes'],['E_0 = ' num2str(E0) ' GPa'],['\rho = ' num2str(rho)],['\eta_0 = ' num2str(eta)],['RSS = ' num2str(RSS2) ' MPa^2'],['M = ' num2str(m2) ' MPa^2']},'EdgeColor','none');
legend('Backus','Experimental data','Fjr & Nes','Location','NorthEastOutside')
legend('boxoff')



export_fig('C:\Users\thopaz\Dropbox\Masteroppg\Figs\mancossstiffnessRESULTS', '-pdf','-transparent')



