%PLANE OF PATCHY WEAKNESS
thetaactual=theta1/180*pi

%LINEAR REGRESSION FOR Tau0,alpha,Tau0w and alphaw
%FIT TAU0 AND PHI FROM 0 DEG
y= [Sig2'];
x= [Pconf2'];
p=polyfit(x,y,1);
phi1=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi1/2;
Tau01=p(2)/(2*tan(beta))
%FIT TAU0 AND PHI FROM 90 DEG
y= [Sig3'];
x= [Pconf3'];
p=polyfit(x,y,1);
phi2=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi2/2;
Tau02=p(2)/(2*tan(beta))

%AVERAGED VALUES OF TAU0 AND PHI
Tau0=(Tau01+Tau02)/2
phi=(phi1+phi2)/2

%FIT TAU0w AND PHIw FROM LOWEST STRENGTH DEG
y=[38.4 44.6 Sig4'];
x=[0 2 Pconf4'];
p=polyfit(x,y,1);
phiw=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phiw/2;

%INTRINSIC FAILURE FITTING
S1=[Sig(1:4);Sig(7:8)];
theta=[ 0/180*pi 15/180*pi 30/180*pi 45/180*pi 75/180*pi 90/180*pi ]'
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[0],...
            'Upper',[1], 'Startpoint',[0]);
f1 = fittype('2*(1-eta0*sin(2*theta)^2)*Tau0*cos(phi)/(1-sin(phi))','coefficients',{'eta0'},'problem',{'phi','Tau0'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{phi,Tau0})
Parameterset = coeffvalues(fitresult)
eta0=Parameterset(1)


S1=Sig(4:5);
theta=[45/180*pi 53/180*pi]'
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[0],...
            'Upper',[Inf], 'Startpoint',[0.01]);
f1 = fittype('(2*(1-eta0*sin(2*theta).^2)*(Tau0w*cos(phiw)))/(sin(2*theta)*cos(phiw)-(cos(2*theta)+1)*sin(phiw))','coefficients',{'Tau0w'},'problem',{'eta0','phiw'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{eta0,phiw})
Parameterset = coeffvalues(fitresult)
Tau0w=Parameterset(1)

syms theta
i=1
while i<=size(Pconf,2)
sigma3=Pconf(1,i)
%INTRINSIC CRITERION
[y1]=@(theta) Patchy_intrinsic( Tau0,phi,eta0,theta,sigma3,Sc )
%WEAKPLANE CRITERION
[y2]=@(theta) Patchy_weakplane( Tau0w,phiw,eta0,theta,sigma3, Sc)

Intersection=double(solve(Patchy_intrinsic( Tau0,phi,eta0,theta,sigma3,Sc ) ==  Patchy_weakplane( Tau0w,phiw,eta0,theta,sigma3, Sc),'Real',true))

%FIGURES
title('Plane of patchy weakness model')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');

hold all
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
plot(thetaactual, Sig(:,1),'ok','markers',5)
hleg3 = legend(['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'])
legend('boxoff')
if isempty(Intersection)==1
    fplot(y1, [0 0.5*pi],'k')
else
    fplot(y1, [0 Intersection(2)],'k');
    fplot(y2, [Intersection(2)  Intersection(1)],'k');
    fplot(y1, [Intersection(1) 0.5*pi],'k');
end
axis tight
hold off

a=thetaactual([1 2 3 7 8]);
%INTRINSIC CRITERION
y1=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*a).^2)*(Tau0*cos(phi)+sigma3*sin(phi))/(1-sin(phi));
residuals1=(y1-Sig([1 2 3 7 8])).^2;

b=thetaactual([4 5 6]);
%WEAKPLANE CRITERION
y2=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*b).^2)*(Tau0w*cos(phiw)+sigma3*sin(phiw))./(sin(2*b)*cos(phiw)-(cos(2*b)+1)*sin(phiw));
residuals2=(y2-Sig([4 5 6])).^2;
rss=[residuals1;residuals2]
[r c]=size(Sig)
rc=r*c
RSS=sum(rss)/rc
i=i+1;

end

mismatch3=76.27112506
RSS3=9.533890632



