%PLANE OF PATCHY WEAKNESS
thetaactual=theta1/180*pi

%LINEAR REGRESSION FOR Tau0,alpha,Tau0w and alphaw
%FIT TAU0 AND PHI FROM 0 DEG
y= [Sig2'];
x= [Pconf2'];
p=polyfit(x,y,1);
phi1=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi1/2;
Tau01=p(2)/(2*tan(beta))
%FIT TAU0 AND PHI FROM 90 DEG
y= [Sig3'];
x= [Pconf3'];
p=polyfit(x,y,1);
phi2=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi2/2;
Tau02=p(2)/(2*tan(beta))

%AVERAGED VALUES OF TAU0 AND PHI
Tau0=(Tau01+Tau02)/2
phi=(phi1+phi2)/2

%FIT TAU0w AND PHIw FROM LOWEST STRENGTH DEG
y=[38.4 44.6 Sig4'];
x=[0 2 Pconf4'];
p=polyfit(x,y,1);
phiw=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phiw/2;
Tau0w=p(2)/(2*tan(beta))

%ETA0 FITTING FOR INTERVALS BASED ON ASSYMPOTES FOR INTRINCIS CRITERION
S1=[Sig1([8 7 6 5],1);Sig([1],1)];
theta=[thetaactual([8 7 6 5]);thetaactual([1])]
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[0],...
            'Upper',[1], 'Startpoint',[0]);
f1 = fittype('2*(1-eta0*sin(2*theta)^2)*Tau0*cos(phi)/(1-sin(phi))','coefficients',{'eta0'},'problem',{'phi','Tau0'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{phi,Tau0})
Parameterset = coeffvalues(fitresult)
eta0=Parameterset(1)

%Sc FITTING
Sigma3=Pconf2(3,1)
S1=Sig(:,1);
theta=0.5*pi-thetaactual;
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[-Inf],...
            'Upper',[Inf], 'Startpoint',[10000]);
f1 = fittype('2*(1-eta0*exp(-Sigma3/Sc)*sin(2*theta)^2)*Tau0*cos(phi)/(1-sin(phi))','coefficients',{'Sc'},'problem',{'Sigma3','eta0','phi','Tau0'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{Sigma3,eta0,phi,Tau0})
Parameterset = coeffvalues(fitresult)
Sc=Parameterset(1)


syms theta
i=1
while i<=size(Pconf,2)
sigma3=Pconf(1,i)
eta=eta0*exp(-sigma3/Sc)
%INTRINSIC CRITERION
[y1]=@(theta) Patchy_intrinsic( Tau0,phi,eta0,theta,sigma3,Sc )
%WEAKPLANE CRITERION
[y2]=@(theta) Patchy_weakplane( Tau0w,phiw,eta0,theta,sigma3, Sc)

Intersection=double(solve(Patchy_intrinsic( Tau0,phi,eta0,theta,sigma3,Sc ) ==  Patchy_weakplane( Tau0w,phiw,eta0,theta,sigma3, Sc),'Real',true))

%FIGURES
title('Plane of patchy weakness model')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');

hold all
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
plot(thetaactual, Sig(:,1),'ok','markers',5)
hleg3 = legend(['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'])
legend('boxoff')
if isempty(Intersection)==1
    fplot(y1, [0 0.5*pi],'k')
else
    fplot(y1, [0 Intersection(2)],'k');
    fplot(y2, [Intersection(2)  Intersection(1)],'k');
    fplot(y1, [Intersection(1) 0.5*pi],'k');
end
axis tight
hold off


i=i+1;
end

