%PLANE OF PATCHY WEAKNESS
thetaactual=theta1/180*pi

%LINEAR REGRESSION FOR Tau0,alpha,Tau0w and alphaw
%FIT TAU0 AND PHI FROM 0 DEG
y= [Sig2'];
x= [Pconf2'];
p=polyfit(x,y,1);
phi1=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi1/2;
Tau01=p(2)/(2*tan(beta))
%FIT TAU0 AND PHI FROM 90 DEG
y= [Sig3'];
x= [Pconf3'];
p=polyfit(x,y,1);
phi2=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi2/2;
Tau02=p(2)/(2*tan(beta))

%AVERAGED VALUES OF TAU0 AND PHI
Tau0=(Tau01+Tau02)/2
phi=(phi1+phi2)/2

%FIT TAU0w AND PHIw FROM LOWEST STRENGTH DEG
y=[Sig4'];
x=[Pconf4'];
p=polyfit(x,y,1);
phiw=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phiw/2;

%INTRINSIC FAILURE FITTING
S1=[Sig(1:4);Sig(7:8)];
theta=[ 0/180*pi 15/180*pi 30/180*pi 45/180*pi 75/180*pi 90/180*pi ]'
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[0],...
            'Upper',[1], 'Startpoint',[0]);
f1 = fittype('2*(1-eta0*sin(2*theta)^2)*Tau0*cos(phi)/(1-sin(phi))','coefficients',{'eta0'},'problem',{'phi','Tau0'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{phi,Tau0})
Parameterset = coeffvalues(fitresult)
eta0=Parameterset(1)

S1=Sig(5:6);
theta=[ 53/180*pi 60/180*pi ]'
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[0,0],...
            'Upper',[Inf,0.5*pi], 'Startpoint',[16,25.8/180*pi]);
f1 = fittype('(2*(1-eta0*sin(2*theta).^2)*(Tau0w*cos(phiw)))/(sin(2*theta)*cos(phiw)-(cos(2*theta)+1)*sin(phiw))','coefficients',{'Tau0w','phiw'},'problem',{'eta0'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{eta0})
Parameterset = coeffvalues(fitresult)
Tau0w=Parameterset(1)
phiw=Parameterset(2)


syms theta
i=1
while i<=size(Pconf,2)
sigma3=Pconf(1,i)
%INTRINSIC CRITERION
[y1]=@(theta) Patchy_intrinsic( Tau0,phi,eta0,theta,sigma3 )
%WEAKPLANE CRITERION
[y2]=@(theta) Patchy_weakplane( Tau0w,phiw,eta0,theta,sigma3)

Intersection=double(solve(Patchy_intrinsic(Tau0,phi,eta,theta,sigma3) ==  Patchy_weakplane( Tau0w,phiw,eta,theta,sigma3),'Real',true))

%FIGURES
title('Plane of patchy weakness model')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');

hold all
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
if isempty(Intersection)==1
    fplot(y1, [0 0.5*pi],'k')
else
    fplot(y1, [0 Intersection(2)],'k');
    fplot(y2, [Intersection(2)  Intersection(1)],'k');
    fplot(y1, [Intersection(1) 0.5*pi],'k');
end
plot(thetaactual, Sig(:,i),'xk')
axis tight
hold off
i=i+1;
end



