%CAZACU'S MODEL
thetaactual=theta1/180*pi

%INPUT VALUES
syms theta
sigma1=Pconf(1,:); %SIGMA1=MINOR PRINCIPAL STRESS IN THE CAZACU MODEL

%EXCEL PARAMETER INPUT
Xc=124.294607
Yc=226.5253152
Xt=0.00735678
Yt=0.001891737
c=1.377929509

%CRITERION
[y]= @(theta) Cazacu_criterion(theta,Xt,Yt,Xc,Yc,c,sigma1);

%PLOT
hold on
title('Cazacu et al.')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
plot(0.5*pi-thetaactual, Sig(:,5),'sk','markers',5)
plot(0.5*pi-thetaactual, Sig(:,4),'vk','markers',5)
plot(0.5*pi-thetaactual, Sig(:,3),'xk','markers',5)
plot(0.5*pi-thetaactual, Sig(:,2),'dk','markers',5)
plot(0.5*pi-thetaactual, Sig(:,1),'ok','markers',5)
hleg1 = legend(['\sigma_3 = ' num2str(Pconf(1,5)) ' MPa'],...
                ['\sigma_3 = ' num2str(Pconf(1,4)) ' MPa'],...
                ['\sigma_3 = ' num2str(Pconf(1,3)) ' MPa'],...
                ['\sigma_3 = ' num2str(Pconf(1,2)) ' MPa'],...
                ['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'])
legend('boxoff')
fplot(y, [0 0.5*pi],'k');
axis tight
hold off

i=1
while i<=size(Pconf,2)
sigma1=Pconf(1,i)
theta=thetaactual;
[y1]=Cazacu_criterionresiduals(theta,Xt,Yt,Xc,Yc,c,sigma1);
i=i+1
end

%RSS AND m DATA FROM EXCEL
[r u]=size(Sig)
RSS=2346
mismatch1=2760


