%FJAER AND NES' MODEL
thetaactual=0.5*pi-theta1/180*pi

%INPUT FROM EXCEL
Tau0=51.2297482094593
phi=0.52715954
Tau0w=28.3937297534755
phiw=0.570641062
eta0=0.0758841161825443
Sc=1123365.56503954

syms theta
i=1
while i<=size(Pconf,2)
sigma3=Pconf(1,i)
eta=eta0*exp(-sigma3/Sc)
%INTRINSIC CRITERION
[y1]=@(theta) Patchy_intrinsic( Tau0,phi,eta,theta,sigma3 )
%WEAKPLANE CRITERION
[y2]=@(theta) Patchy_weakplane( Tau0w,phiw,eta,theta,sigma3)

%FIND INTERSECTIONS BETWEEN INTRINSIC AND WP-CRITERIA 
Intersection=double(solve(Patchy_intrinsic(Tau0,phi,eta,theta,sigma3)...
            ==Patchy_weakplane(Tau0w,phiw,eta,theta,sigma3),'Real',true))
        
%PLOT EXPERIMENTAL DATA
title('Fjaer & Nes')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');
hold all
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
thetaactual=0.5*pi-theta1*pi/180
plot(thetaactual, Sig(:,5),'sk','markers',5)
plot(thetaactual, Sig(:,4),'vk','markers',5)
plot(thetaactual, Sig(:,3),'xk','markers',5)
plot(thetaactual, Sig(:,2),'dk','markers',5)
plot(thetaactual, Sig(:,1),'ok','markers',5)
hleg3 = legend(['\sigma_3 = ' num2str(Pconf(1,5)) ' MPa'],...
    ['\sigma_3 = ' num2str(Pconf(1,4)) ' MPa'],...
    ['\sigma_3 = ' num2str(Pconf(1,3)) ' MPa'],...
    ['\sigma_3 = ' num2str(Pconf(1,2)) ' MPa'],...
    ['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'])
legend('boxoff')

%PLOT LOWEST PREDICTED VALUE OF INTRINSIC AND WP-CRITERIA
if isempty(Intersection)==1
    fplot(y1, [0 0.5*pi],'k')
else
    fplot(y1, [0 Intersection(2)],'k');
    fplot(y2, [Intersection(2)  Intersection(1)],'k');
    fplot(y1, [Intersection(1) 0.5*pi],'k');
end

axis tight
hold off
%RSS CALCULATIONS
flip=flipud(thetaactual)
a=flip([1 2 3 4 6 7 8])
%INTRINSIC CRITERION
y1=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*a).^2)*(Tau0*cos(phi)...
    +sigma3*sin(phi))/(1-sin(phi));
residuals1=(y1-Sig([8 7 6 5 3 2 1],i)).^2;

b=flip([ 5]);
%WEAKPLANE CRITERION
y2=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*b).^2)*(Tau0w*cos(phiw)+sigma3*sin(phiw))./...
    (sin(2*b)*cos(phiw)-(cos(2*b)+1)*sin(phiw));
residuals2=(y2-Sig([ 4],i)).^2;
rss=[residuals1;residuals2]
residuals(i,1)=sum(rss)
i=i+1;
end

%RSS AND m DATA FROM EXCEL
[r u]=size(Sig)
RSS3=217.7
mismatch3=263.9


