%STABILITY COMPARISON 

%CASE A
%FORMATION STRESSES
Sigma_H1	=40
Sigma_h1	=40
Sigma_V1	=50
pp1	=20
D	=2000
%ANGLES
iw1	=0
aw1	=0.00
a1	=0.00
theta1	=90

FigHandle = figure('Position', [120, 100, 920, 1000]);
subplot(3,2,1)
STR=sprintf('%s ', Rock{:})
annotation('textbox',[0.135 0.85 0.4 0.15],'String',STR,'EdgeColor','none');
hold on
title('Case a')
xlabel('Wellbore inclination [\circ]');
ylabel('Minimum mudweight [SG]');
plot(incl,CaseAI,incl,CaseAWP)
annotation('textbox',[0.67 0.75 0.3 0.15],'String',{['\sigma_V = ' num2str(Sigma_V1) ' MPa'],...
    ['\sigma_H = ' num2str(Sigma_H1)  ' MPa'],['\sigma_h = ' num2str(Sigma_h1)  ' MPa'],...
    ['P_p = ' num2str(pp1)  ' MPa'],['i_w = ' num2str(iw1)  '^\{circ}'],...
    ['a_w = ' num2str(aw1) ' MPa'],['a = ' num2str(a1) ' MPa'],['\theta = ' num2str(theta1) ' MPa']},...
    'EdgeColor','none');
hleg1 = legend(['\sigma_3 = '],...
                ['\sigma_3 ='],...
                ['\sigma_3 = '],...
                ['\sigma_3 = '],...
                ['\sigma_3 = '])
set(hleg1, 'Position',[0.52 0.76 0.1 0.1])

%CASE B
subplot(3,2,3)

%FORMATION STRESSES
Sigma_H=	40
Sigma_h=	35
Sigma_V=	50
pp=	20
D	=2000


%ANGLES
iw	=0
aw	=0.00
a	=0.00
theta	=90
%PLOT
hold on
title('Case b')
xlabel('Wellbore inclination [\circ]');
ylabel('Minimum mudweight [SG]');
plot(incl,CaseBI,incl,CaseBWP)
annotation('textbox',[0.67 0.47 0.3 0.15],'String',{['\sigma_V = ' num2str(Sigma_V) ' MPa'],...
    ['\sigma_H = ' num2str(Sigma_H)  ' MPa'],['\sigma_h = ' num2str(Sigma_h)  ' MPa'],...
    ['P_p = ' num2str(pp)  ' MPa'],['i_w = ' num2str(iw)  '^\{circ}'],...
    ['a_w = ' num2str(aw) '^\{circ}'],['\theta = ' num2str(theta) '^\{circ}']},...
    'EdgeColor','none');
hleg2 = legend(['\sigma_3 = '],...
                ['\sigma_3 = ' ],...
                ['\sigma_3 = ' ],...
                ['\sigma_3 = ' ],...
                ['\sigma_3 = ' ])

set(hleg2, 'Position',[0.52 0.46 0.1 0.1])

% CASE C
%FORMATION STRESSES
Sigma_H	=40
Sigma_h	=35
Sigma_V	=50
pp	=20
D	=2000
%ANGLES
iw	=30
aw	=0.001
a	=0.001
theta	=90

%PLOT
subplot(3,2,5)
hold on
title('Case c')
xlabel('Wellbore inclination [\circ]');
ylabel('Minimum mudweight [SG]');
plot(incl,CaseCI,incl,CaseCWP)
hleg3 = legend(['\sigma_3 = '],...
    ['\sigma_3 = '],...
    ['\sigma_3 = '],...
    ['\sigma_3 = '],...
    ['\sigma_3 = '])
legend('boxoff')
annotation('textbox',  [0.67 0.13 0.3 0.15], 'String',...
    {['\sigma_V = ' num2str(Sigma_V) ' MPa'],...
    ['\sigma_H = ' num2str(Sigma_H)  ' MPa'],['\sigma_h = ' num2str(Sigma_h)  ' MPa'],...
    ['P_p = ' num2str(pp)  ' MPa'],['i_w = ' num2str(iw)  '^\{circ}'],...
    ['a_w = ' num2str(aw) '^\{circ}'],['\theta = ' num2str(theta) '^\{circ}']},...
    'EdgeColor','none');
set(hleg3, 'Position',[0.52 0.16 0.1 0.1]);
export_fig('C:\Users\thopaz\Dropbox\Masteroppg\Figs\GRS1stabilityresults.pdf', '-pdf','-transparent')
export_fig test2.pdf



