%PLANE OF PATCHY WEAKNESS
thetaactual=0.5*pi-theta1/180*pi

%LINEAR REGRESSION FOR Tau0,alpha,Tau0w and alphaw
%FIT TAU0 AND PHI FROM 0 DEG
y= [Sig(1,:)];
x= [Pconf(1,:)];
p=polyfit(x,y,1);
phi1=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi1/2;
Tau01=p(2)/(2*tan(beta))

%FIT TAU0 AND PHI FROM 90 DEG
y= [Sig(size(Sig,1),:)];
x= [Pconf(size(Pconf,1),:)];
p=polyfit(x,y,1);
phi2=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi2/2;
Tau02=p(2)/(2*tan(beta))

%AVERAGED VALUES OF TAU0 AND PHI
Tau0=(Tau01+Tau02)/2
phi=(phi1+phi2)/2

%FIT TAU0w AND PHIw FROM LOWEST STRENGTH DEG
y=min(Sig);
x=[Pconf(1,:)];
p=polyfit(x,y,1);
phiw=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phiw/2;
Tau0w=p(2)/(2*tan(beta))


%INPUT FROM EXCEL
Tau0=44.1094050496768
phi=0.345609548
Tau0w=29.9136737378252
phiw=0.361707183
eta0=0.140275654529115
Sc=6887596835.89045


FigHandle =figure('Position', [120, 100, 650, 350]);


syms theta
i=1
while i<=size(Pconf,2)
sigma3=Pconf(1,i)
eta=eta0*exp(-sigma3/Sc)
%INTRINSIC CRITERION
[y1]=@(theta) Patchy_intrinsic( Tau0,phi,eta,theta,sigma3 )
%WEAKPLANE CRITERION
[y2]=@(theta) Patchy_weakplane( Tau0w,phiw,eta,theta,sigma3)

Intersection=double(solve(Patchy_intrinsic( Tau0,phi,eta,theta,sigma3 ) ==  Patchy_weakplane( Tau0w,phiw,eta,theta,sigma3),'Real',true))


%FIGURES
title('Fjr & Nes')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');

hold all
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
thetaactual=0.5*pi-theta1*pi/180
plot(thetaactual, Sig(:,5),'sk','markers',5)
plot(thetaactual, Sig(:,4),'vk','markers',5)
plot(thetaactual, Sig(:,3),'xk','markers',5)
plot(thetaactual, Sig(:,2),'dk','markers',5)
plot(thetaactual, Sig(:,1),'ok','markers',5)
hleg3 = legend(['\sigma_3 = ' num2str(Pconf(1,5)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,4)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,3)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,2)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'],'location','NorthEastOutside')
legend('boxoff')
if isempty(Intersection)==1
    fplot(y1, [0 0.5*pi],'k')
else
    fplot(y1, [0 Intersection(2)],'k');
    fplot(y2, [Intersection(2)  Intersection(1)],'k');
    fplot(y1, [Intersection(1) 0.5*pi],'k');
end

axis tight
hold off
%RSS CALCULATIONS
flip=flipud(thetaactual)
a=flip([1 2 6 7])
%INTRINSIC CRITERION
y1=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*a).^2)*(Tau0*cos(phi)+sigma3*sin(phi))/(1-sin(phi));
residuals1=(y1-Sig([7 6 2 1],i)).^2;

b=flip([3 4 5]);
%WEAKPLANE CRITERION
y2=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*b).^2)*(Tau0w*cos(phiw)+sigma3*sin(phiw))./(sin(2*b)*cos(phiw)-(cos(2*b)+1)*sin(phiw));
residuals2=(y2-Sig([5 4 3],i)).^2;
rss=[residuals1;residuals2]
residuals(i,1)=sum(rss)
i=i+1;

end


RSS3=109.4
mismatch3=136.8

syms theta
num = 2*(1-eta0*sin(2*theta)^2)*(Tau0w*cos(phiw));
denom=(sin(2*theta)*cos(phiw)-(cos(2*theta)+1)*sin(phiw));
f = num/denom
roots=solve(denom)

annotation('textbox',[0.71 0.39 0.3 0.15],'String',{['S_0 = ' num2str(Tau0) ' MPa'] ; ['\phi = ' num2str(phi*180/pi) ' \circ'] ; ['S_{0w} = ' num2str(Tau0w) ' MPa'];['\phi_w = ' num2str(phiw*180/pi) ' \circ'];['\eta_0 = ' num2str(eta0)];['\sigma_c = ' num2str(Sc) ' MPa'];['RSS = ' num2str(RSS3) ' MPa^2'];['M = ' num2str(mismatch3) ' MPa^2']},'EdgeColor','none');



export_fig('C:\Users\thopaz\Dropbox\Masteroppg\Figs\PatchyGRS2results', '-pdf','-transparent')
