%BACKUS' STIFFNESS MODEL

%INPUT
%G1 = E0./(2.*(1-v));
%lambda1 = (E0.*v)./((1+v).*(1-2.*v));
%LINEFITTING  
theta=theta2./180.*pi
s = fitoptions('Method','NonlinearLeastSquares',...
               'Lower',[0,0,0,0,0],...
               'Upper',[Inf,Inf,1,Inf,0.5],'Startpoint',[0.0000001,0.0000001,0.0000001,10,0.25]);
f1 = fittype('2.*g.*(cos(theta).^2+sin(theta).^2).^4.*(((1./2).*f.*(g-1).*(E0.*v)./((1+v).*(1-2.*v)).^2+((2./3).*g.^2+(f-1).*g-(1./3).*f).*E0./(2.*(1-v)).*(E0.*v)./((1+v).*(1-2.*v))+(4./3).*g.*(g-1./2).*E0./(2.*(1-v)).^2).*x-g.*(f.*(E0.*v)./((1+v).*(1-2.*v))+(4./3).*E0./(2.*(1-v)).*g).*((1./2).*(E0.*v)./((1+v).*(1-2.*v))+E0./(2.*(1-v)))).*(f.*(E0.*v)./((1+v).*(1-2.*v))+2.*g.*E0./(2.*(1-v))).*E0./(2.*(1-v))./(g.*((f.*(g-1).*(f-1).*(E0.*v)./((1+v).*(1-2.*v)).^2+(10./3.*((-4./5+f).*g.^2+(3./5-f).*g+(1./5).*f)).*E0./(2.*(1-v)).*(E0.*v)./((1+v).*(1-2.*v))+(8./3).*g.*(g-1).*(g-1./2).*E0./(2.*(1-v)).^2).*E0./(2.*(1-v)).*x.^2-(((f-2./3).*g-(4./3).*f+1).*f.*(E0.*v)./((1+v).*(1-2.*v)).^2+(10./3.*((-4./5+f).*g.^2+(3./5-(6./5).*f).*g+(1./5).*f)).*E0./(2.*(1-v)).*(E0.*v)./((1+v).*(1-2.*v))+(8./3).*g.*(g.^2-2.*g+1./2).*E0./(2.*(1-v)).^2).*E0./(2.*(1-v)).*x-(2./3.*(f.^2.*(E0.*v)./((1+v).*(1-2.*v)).^2+3.*f.*g.*E0./(2.*(1-v)).*(E0.*v)./((1+v).*(1-2.*v))+4.*g.^2.*E0./(2.*(1-v)).^2)).*((1./2).*(E0.*v)./((1+v).*(1-2.*v))+E0./(2.*(1-v)))).*cos(theta).^4+4.*sin(theta).^2.*(((1./2).*f.*(g-1).*(E0.*v)./((1+v).*(1-2.*v)).^2+((2./3).*g.^2+(f-1).*g-(1./3).*f).*E0./(2.*(1-v)).*(E0.*v)./((1+v).*(1-2.*v))+(4./3).*g.*(g-1./2).*E0./(2.*(1-v)).^2).*(g-1).*x.^2+(-(1./2).*f.*(g-1).^2.*(E0.*v)./((1+v).*(1-2.*v)).^2-((2./3).*g.^3+(-19./12+f).*g.^2+(1-(7./4).*f).*g+(1./3).*f).*E0./(2.*(1-v)).*(E0.*v)./((1+v).*(1-2.*v))-(4./3).*g.*(g.^2-2.*g+1./2).*E0./(2.*(1-v)).^2).*x-(3./4).*g.*(f.*(E0.*v)./((1+v).*(1-2.*v))+(16./9).*E0./(2.*(1-v)).*g).*((1./2).*(E0.*v)./((1+v).*(1-2.*v))+E0./(2.*(1-v)))).*(f.*(E0.*v)./((1+v).*(1-2.*v))+2.*g.*E0./(2.*(1-v))).*cos(theta).^2-(1./3).*g.*sin(theta).^4.*(f.*(E0.*v)./((1+v).*(1-2.*v))+2.*g.*E0./(2.*(1-v))).^2.*((1./2).*(E0.*v)./((1+v).*(1-2.*v))+E0./(2.*(1-v))))','coefficients',{'f','g','x','E0','v'},'independent','theta','dependent',{'Ei'},'options',s)
[fitresult,gof] = fit(theta,Ei,f1)
Parameterset = coeffvalues(fitresult)
f=Parameterset(1)
g=Parameterset(2)
x=Parameterset(3)
E0=Parameterset(4)
v=Parameterset(5)

syms theta
%MODEL
[Eeff]=@(theta) Backus_stiffness_criterion( E0,v,theta,x,f,g );
%PLOT
hold all
title('Backus')
xlabel('\theta [\circ]');
ylabel('Young`s modulus [GPa]');
set(gca,'xTick',0:1/12*pi:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
fplot(Eeff,[0 0.5*pi],'k')
theta=theta2./180.*pi;
plot(theta,Ei,'xk')



