%MCLAMORE AND GRAY CRITERION
thetaactual=0.5*pi-theta1/180*pi
%CREATE MATRICES FROM INPUT

i=1
while i<=size(thetaactual,1)

y=[Sig(i,:)];
x=[Pconf(i,:)];

%LINEAR REGRESSION FOR TAU0 AND TANPHI
p=polyfit(x,y,1)
a=(p(1)-1)/(p(1)+1)
alpha=asin(a)
tanphi(i,1)=tan(alpha)
beta=(pi/4)+alpha/2
Tau0(i,1)=p(2)/(2*tan(beta))
i=i+1;
end

%GLOBAL MINIMUM TAU0 AND TANPHI VALUES AND CORRESPONDING THETA VALUES
[M1, Indices1] = min(Tau0);
[M2, Indices2] = min(tanphi);
Theta_minTau0=thetaactual(Indices1)
Theta_mintanphi=thetaactual(Indices2)

%INDEXING NEW MATRICES FOR CRITERION
Tau0A1B1=Tau0(1:Indices1)
ThetaA1B1=thetaactual(1:Indices1)
 
Tau0A2B2=Tau0(Indices1+1:length(thetaactual))
ThetaA2B2=thetaactual(Indices1+1:length(thetaactual))
 
%tanphiC1D1=tanphi(1:Indices2)
%ThetaC1D1=thetaactual(1:Indices2)
    
tanphiC2D2=tanphi(Indices2:length(thetaactual))
ThetaC2D2=thetaactual(Indices2:length(thetaactual))

%LINEFITTING FOR PARAMETERS
f1 = fittype('A1-B1*cos(2*(Theta_minTau0-ThetaA1B1))^n','coefficients',{'A1','B1'},'problem',{'Theta_minTau0','n'},'independent','ThetaA1B1','dependent',{'Tau0A1B1'})
[fitresult] = fit( ThetaA1B1, Tau0A1B1, f1,'problem',{Theta_minTau0,n})
Parameterset1 = coeffvalues(fitresult)
A1=Parameterset1(1)
B1=Parameterset1(2)

f2 = fittype('A2-B2*cos(2*(Theta_minTau0-ThetaA2B2))^n','coefficients',{'A2','B2'},'problem',{'Theta_minTau0','n'},'independent','ThetaA2B2','dependent',{'Tau0A2B2'})
[fitresult] = fit( ThetaA2B2, Tau0A2B2, f2,'problem',{Theta_minTau0,n})
Parameterset1 = coeffvalues(fitresult)
A2=Parameterset1(1)
B2=Parameterset1(2)

%f3 = fittype('C1-D1*cos(2*(Theta_mintanphi-ThetaC1D1))^m','coefficients',{'C1','D1'},'problem',{'Theta_mintanphi','m'},'independent','ThetaC1D1','dependent',{'tanphiC1D1'})
%[fitresult] = fit( ThetaC1D1, tanphiC1D1, f3,'problem',{Theta_mintanphi,m})
%Parameterset1 = coeffvalues(fitresult)
%C1=Parameterset1(1)
%D1=Parameterset1(2)

f4 = fittype('C2-D2*cos(2*(Theta_mintanphi-ThetaC2D2))^m','coefficients',{'C2','D2'},'problem',{'Theta_mintanphi','m'},'independent','ThetaC2D2','dependent',{'tanphiC2D2'})
[fitresult] = fit( ThetaC2D2, tanphiC2D2, f4,'problem',{Theta_mintanphi,m})
Parameterset1 = coeffvalues(fitresult)
C2=Parameterset1(1)
D2=Parameterset1(2)

%PLOT REAL DATA
i=1
while i<=size(Pconf,2)
sigma3=Pconf(1,i)

if Indices1>Indices2
    Index1=Indices2; 
    Index2=Indices1
else
    Index1=Indices1
    Index2=Indices2
end

%CRITERIA
a= ThetaA1B1;
[y1]= McLamoreGray1( A1,B1,C2,D2,Theta_minTau0,Theta_mintanphi,m,n,a,sigma3 );

%b=thetaactual(Index1+1:Index2);
%[y2]= McLamoreGray2( A2,B2,C1,D1,b,Theta_minTau0,Theta_mintanphi,m,n,sigma3 );  

cc=ThetaA2B2;
[y3]= McLamoreGray3( A2,B2,C2,D2,cc,Theta_minTau0,Theta_mintanphi,m,n,sigma3 );


%PLOT CRITERION DATA
hold all
title('McLamore & Gray')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');
set(gca,'xTick',0:15:90)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})

t = 0:0.1:90;
t1=[90-t]'
ymod=[y1 ; y3]
yy = spline(theta1,ymod,t1);
plot(90-theta1, Sig(:,6),'+k','markers',5)
plot(90-theta1, Sig(:,5),'sk','markers',5)
plot(90-theta1, Sig(:,4),'vk','markers',5)
plot(90-theta1, Sig(:,3),'xk','markers',5)
plot(90-theta1, Sig(:,2),'dk','markers',5)
plot(90-theta1, Sig(:,1),'ok','markers',5)
hleg2 = legend(['\sigma_3 = ' num2str(Pconf(1,6)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,5)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,4)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,3)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,2)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'])
legend('boxoff')
plot(t,yy,'k')

hold off
axis tight
i=i+1;
end


[r u]=size(Sig)
RSS2=70.72
mismatch2=95.82






if Theta_minTau0 == Theta_mintanphi
    disp('OK. Theta_minTau0 = Theta_mintanphi')
else disp('WARNING: Theta_minTau0 NOT EQUAL TO Theta_mintanphi')
end

