%INPUT
E0=Ei(size(Ei,1))
theta=theta2/180*pi
%LINEFITTING  
s = fitoptions('Method','NonlinearLeastSquares',...
               'Lower',[-Inf,-Inf,-Inf,0],...
               'Upper',[Inf,Inf,Inf,0.5],'Startpoint',[0.0000001,0.0000001,0.0000001,0.25]);
f1 = fittype('(1-(8/3)*(1-v^.2)./(2-v).*(xi./(1+m.^2)).*(sin(2.*theta)).^2-rho.*(cos(theta)).^4).*E0','coefficients',{'rho','xi','m','v'},'problem',{'E0'},'independent','theta','dependent',{'Ei'},'options',s)
[fitresult,gof] = fit(theta,Ei, f1,'problem',{E0})
Parameterset = coeffvalues(fitresult);
rho=Parameterset(1)
xi=Parameterset(2)
m=Parameterset(3)
v=Parameterset(4)

%PARAMETER INPUT FROM EXCEL
eta=0.0758841161825443

syms theta
%STIFFNESS CRITERION
[y3]=@(theta) Patchy_stiffness( eta, theta, rho, E0 );

%FIGURE
hold all
title('Fjr & Nes')
xlabel('\theta [\circ]')
ylabel('Young`s modulus [GPa]')
set(gca,'xTick',0:1/12*pi:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
fplot(y3, [0 pi/2],'k')
theta=theta2/180*pi
plot(theta,Ei,'xk')


