%PLANE OF PATCHY WEAKNESS
thetaactual=0.5*pi-theta1/180*pi

%LINEAR REGRESSION FOR Tau0,alpha,Tau0w and alphaw
%FIT TAU0 AND PHI FROM 90 DEG
y= [Sig(1,:)];
x= [Pconf(1,:)];
p=polyfit(x,y,1);
phi1=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi1/2;
Tau01=p(2)/(2*tan(beta))

%FIT TAU0 AND PHI FROM 0 DEG
y= [Sig(size(Sig,1),:)];
x= [Pconf(size(Pconf,1),:)];
p=polyfit(x,y,1);
phi2=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phi2/2;
Tau02=p(2)/(2*tan(beta))

%AVERAGED VALUES OF TAU0 AND PHI
Tau0=(Tau01+Tau02)/2
phi=(phi1+phi2)/2

%FIT TAU0w AND PHIw FROM LOWEST STRENGTH DEG
y=min(Sig);
x=[Pconf(1,:)];
p=polyfit(x,y,1);
phiw=asin((p(1)-1)/(p(1)+1))
beta=(pi/4)+phiw/2;
Tau0w=p(2)/(2*tan(beta))

%ETA0 FITTING FOR INTERVALS BASED ON ASSYMPOTES FOR INTRINCIS CRITERION
S1=[Sig([7 6 5],1);Sig([1],1)];
theta=[thetaactual([7 6 5]);thetaactual([1])]
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[0],...
            'Upper',[1], 'Startpoint',[0]);
f1 = fittype('2*(1-eta0*sin(2*theta)^2)*Tau0*cos(phi)/(1-sin(phi))','coefficients',{'eta0'},'problem',{'phi','Tau0'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{phi,Tau0})
Parameterset = coeffvalues(fitresult)
eta0=Parameterset(1)

%Sc FITTING
Sigma3=Pconf(1,3)
S1=Sig(:,3);
theta=0.5*pi-thetaactual;
s = fitoptions('Method','NonlinearLeastSquares',...
            'Lower',[-Inf],...
            'Upper',[Inf], 'Startpoint',[10000]);
f1 = fittype('2*(1-eta0*exp(-Sigma3/Sc)*sin(2*theta)^2)*Tau0*cos(phi)/(1-sin(phi))','coefficients',{'Sc'},'problem',{'Sigma3','eta0','phi','Tau0'},'independent','theta','dependent',{'S1'},'options',s)
[fitresult,gof] = fit(theta,S1,f1,'problem',{Sigma3,eta0,phi,Tau0})
Parameterset = coeffvalues(fitresult)
Sc=Parameterset(1)
Tau0=14.5948496995923
phi=0.54951835
Tau0w=6.94780275302172
phiw=0.557063945
eta0=0.629790366056909
Sc=5.38909651380271


syms theta
i=1
while i<=size(Pconf,2)
sigma3=Pconf(1,i)
eta=eta0*exp(-sigma3/Sc)
%INTRINSIC CRITERION
[y1]=@(theta) Patchy_intrinsic( Tau0,phi,eta,theta,sigma3 )
%WEAKPLANE CRITERION
[y2]=@(theta) Patchy_weakplane( Tau0w,phiw,eta,theta,sigma3)

Intersection=double(solve(Patchy_intrinsic( Tau0,phi,eta,theta,sigma3 ) ==  Patchy_weakplane( Tau0w,phiw,eta,theta,sigma3),'Real',true))


%FIGURES
title('Fjr & Nes')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');

hold all
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
thetaactual=0.5*pi-theta1*pi/180
plot(thetaactual, Sig(:,6),'+k','markers',5)
plot(thetaactual, Sig(:,5),'sk','markers',5)
plot(thetaactual, Sig(:,4),'vk','markers',5)
plot(thetaactual, Sig(:,3),'xk','markers',5)
plot(thetaactual, Sig(:,2),'dk','markers',5)
plot(thetaactual, Sig(:,1),'ok','markers',5)
hleg3 = legend(['\sigma_3 = ' num2str(Pconf(1,6)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,5)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,4)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,3)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,2)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'])
legend('boxoff')
if isempty(Intersection)==1
    fplot(y1, [0 0.5*pi],'k')
else
    fplot(y1, [0 Intersection(2)],'k');
    fplot(y2, [Intersection(2)  Intersection(1)],'k');
    fplot(y1, [Intersection(1) 0.5*pi],'k');
end

axis tight
hold off
%RSS CALCULATIONS
flip=flipud(thetaactual)
a=flip([1 2 3 7])
%INTRINSIC CRITERION
y1=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*a).^2)*(Tau0*cos(phi)+sigma3*sin(phi))/(1-sin(phi));
residuals1=(y1-Sig([7 6 5 1],i)).^2;

b=flip([4 5 6]);
%WEAKPLANE CRITERION
y2=sigma3+2*(1-eta0*exp(-sigma3/Sc).*sin(2*b).^2)*(Tau0w*cos(phiw)+sigma3*sin(phiw))./(sin(2*b)*cos(phiw)-(cos(2*b)+1)*sin(phiw));
residuals2=(y2-Sig([4 3 2],i)).^2;
rss=[residuals1;residuals2]
residuals(i,1)=sum(rss)
i=i+1;

end


[r u]=size(Sig)
RSS3=107.1
mismatch3=128.5




syms theta
num = 2*(1-eta0*sin(2*theta)^2)*(Tau0w*cos(phiw));
denom=(sin(2*theta)*cos(phiw)-(cos(2*theta)+1)*sin(phiw));
f = num/denom
roots=solve(denom)

