%CAZACU MODEL
thetaactual=theta1/180*pi

%INPUT VALUES
syms theta
sigma1=Pconf(1,:);%SIGMA1=MINOR PRINCIPAL STRESS


%EXCEL INPUT
Xc=46.6533402
Yc=45.50539332
Xt=0.003694033
Yt=0.00452533
c=3.170481408


%PARAMETERS
b1 = 1/Xc-1/Xt;                     
b2 = 1/Yc-1/Yt;
B11 = 1/(Xt*Xc);
B22 = 1/(Yt*Yc);
B44 = 4*B22-B11;
B55 = 3*c.^2;
B23 = -B22+(1/2)*B11;
B12 = -(1/2)*B11;

A11 = B11*cos(theta).^4+B22*sin(theta).^4+(2*B12+B55)*sin(theta).^2*cos(theta).^2;
A22 = B22;
A33 = B11*sin(theta).^4+B22*cos(theta).^4+(2*B12+B55)*sin(theta).^2*cos(theta).^2;
A12 = B23*sin(theta).^2+B12*cos(theta).^2;
A13 = (B11+B22-B55-2*B12)*sin(theta).^2*cos(theta).^2+B12;
A23 = B12*sin(theta).^2+B23*cos(theta).^2;
a1 = b1*cos(theta).^2+b2*sin(theta).^2;
a2 = b2;
a3 = b1*sin(theta).^2+a2*cos(theta).^2;


%CRITERION
[y]= @(theta) Cazacu_criterion(theta,Xt,Yt,Xc,Yc,c,sigma1);


[r u]=size(Sig)
RSS1=350.6153347/(r*u)
mismatch1=11.68717782

%PLOT
FigHandle = figure('Position', [120, 100, 600, 350]);
annotation('textbox',[0.76 0.45 0.3 0.15],'String',{['X_t = ' num2str(Xt) ' MPa'],['Y_t = ' num2str(Yt)  ' MPa'],['X_c = ' num2str(Xc)  ' MPa'],['Y_c = ' num2str(Yc)  ' MPa'],['c = ' num2str(c)  ' MPa^{-1}'],['RSS = ' num2str(RSS1) ' MPa^2'],['M = ' num2str(mismatch1) ' MPa^2']},'EdgeColor','none');
hold on
title('Cazacu et al.')
xlabel('\theta [\circ]');
ylabel('\sigma_1 [MPa]');
set(gca,'xTick',0:pi/12:0.5*pi)
set(gca,'xTickLabel',{'0', '15', '30', '45', '60', '75', '90'})
plot(0.5*pi-thetaactual, Sig(:,4),'vk','markers',5)
plot(0.5*pi-thetaactual, Sig(:,3),'xk','markers',5)
plot(0.5*pi-thetaactual, Sig(:,2),'dk','markers',5)
plot(0.5*pi-thetaactual, Sig(:,1),'ok','markers',5)
hleg1 = legend(['\sigma_3 = ' num2str(Pconf(1,4)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,3)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,2)) ' MPa'],['\sigma_3 = ' num2str(Pconf(1,1)) ' MPa'])
legend('location','NorthEastOutside')
legend('boxoff')
fplot(y, [0 0.5*pi],'k');
axis tight
hold off
export_fig('C:\Users\thopaz\Dropbox\Masteroppg\Figs\CazacuTournemireresults', '-pdf','-transparent')




i=1
while i<=size(Pconf,2)
sigma1=Pconf(1,i)

theta=thetaactual;
[y1]=Cazacu_criterionresiduals(theta,Xt,Yt,Xc,Yc,c,sigma1);
residuals=(y1-Sig(:,i)).^2;
rss(i,1)=[sum(residuals)]

i=i+1
end




